Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQGfxDriverFactory Class Reference

The TQGfxDriverFactory class creates TQScreen objects for TQt/Embedded. More...

`#include <qgfxdriverfactory_qws.h>`

List of all member functions.

## Static Public Members

- TQStringList keys ()
- TQScreen * create ( const TQString & key, int displayId )

## Detailed Description

The TQGfxDriverFactory class creates TQScreen objects for TQt/Embedded.

The graphics driver factory creates a TQScreen object for a given key with TQGfxDriverFactory::create(key).

The drivers are either built-in or dynamically loaded from a driver plugin (see TQGfxDriverPlugin).

TQGfxDriverFactory::keys() returns a list of valid keys. TQt currently ships with "LinuxFb".

This class is only available in TQt/Embedded.

## Member Function Documentation

### TQScreen * TQGfxDriverFactory::create ( const TQString & key, int displayId )`[static]`

Creates a TQScreen object of a type that matches key, and with the ID, displayId. The TQScreen object returned may be from a built-in driver, or from a driver plugin.

See also keys().

### TQStringList TQGfxDriverFactory::keys ()`[static]`

Returns the list of keys this factory can create drivers for.

See also create().

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.